## blt 2.5.3+dfsg

=== generic/Makefile ===
# Generated automatically from Makefile.in by configure.

# ------------------------------------------------------------------------
# 	Makefile for static version of BLT library
# ------------------------------------------------------------------------

# ------------------------------------------------------------------------
# 	C Compiler options 
# ------------------------------------------------------------------------

BLT_LIBRARY =	/usr/lib/blt2.5
TCLLIBPATH   =	/home/pcmacdon/usr/lib/tcl8.5
CC =		gcc
CFLAGS =	-O6 
DEFINES =	
EXTRA_CFLAGS =	-Wall
LDFLAGS =	 -Wl,-rpath,/home/pcmacdon/usr/lib
version =	25

# ------------------------------------------------------------------------
# 	Source and targer installation directories 
# ------------------------------------------------------------------------

bindir =	$(exec_prefix)/bin
exec_prefix =	/home/pcmacdon/usr
incdir =	$(prefix)/include
libdir = 	/home/pcmacdon/usr/lib
scriptdir =	$(exec_prefix)/lib

prefix =	/usr
srcdir =	.

instdirs =	$(prefix) $(exec_prefix) $(bindir) $(libdir) $(incdir)

# ------------------------------------------------------------------------
# 	Directories containing Tcl and Tk include files and libraries
# ------------------------------------------------------------------------

INCLUDES =	-I. -I$(srcdir)  -I/home/pcmacdon/usr/include

# ------------------------------------------------------------------------
#       Libraries directives for Tcl, Tk, X11, and BLT
# ------------------------------------------------------------------------

LIBS =		 -L/home/pcmacdon/usr/lib -ltk8.5 -ltcl8.5 -lX11 -lm -lnsl  -ldl
TCL_ONLY_LIBS = -L/home/pcmacdon/usr/lib -ltcl8.5 -lm -lnsl  -ldl

# ------------------------------------------------------------------------
# 	You don't need to edit anything beyond this point
# ------------------------------------------------------------------------

N_OBJS =	bltTed.o
V3_OBJS =	bltTri.o bltGrMt.o 

TK_OBJS =	tkButton.o tkFrame.o bltScrollbar.o 

GRAPH_OBJS =	bltGrAxis.o \
		bltGrBar.o \
		bltGrElem.o \
		bltGrGrid.o \
		bltGrHairs.o \
		bltGrLegd.o \
		bltGrLine.o \
		bltGrMarker.o \
		bltGrMisc.o \
		bltGrPen.o \
		bltGrPs.o \
		bltGraph.o 


ifeq ($(ARCH),WIN32)

DND_OBJS = 
IMAGE_OBJS =    bltWinImage.o
PIPE_OBJS =     bltWinPipe.o \
		bltWinUtil.o \
		bltWinDde.o \
		bltWinDraw.o \
		bltWinPrnt.o

else

DND_OBJS =      bltUnixDnd.o
IMAGE_OBJS =    bltUnixImage.o
PIPE_OBJS =	bltUnixPipe.o

endif

TCL_ONLY_OBJS =	bltAlloc.o \
		bltArrayObj.o \
		bltBgexec.o \
		bltChain.o \
		bltDebug.o \
		bltHash.o \
		bltList.o \
		bltNsUtil.o \
		bltParse.o \
		bltPool.o \
		bltSpline.o \
		bltSwitch.o \
		bltTree.o \
		bltTreeCmd.o \
                $(PIPE_OBJS) \
		bltUtil.o \
		bltVector.o \
		bltVecMath.o \
		bltVecCmd.o \
		bltVecObjCmd.o \
		bltStubLib.o \
		bltStubInit.o \
		bltWatch.o  

OBJS =		$(GRAPH_OBJS) \
		$(TCL_ONLY_OBJS) \
		bltBeep.o \
		bltBind.o \
		bltBitmap.o \
		bltBusy.o \
		bltCanvEps.o \
		bltColor.o \
		bltConfig.o \
		bltContainer.o \
		bltCutbuffer.o \
		bltDragdrop.o \
		bltHierbox.o \
		bltHtext.o \
		bltImage.o \
		$(IMAGE_OBJS) \
		bltPs.o \
		bltTable.o \
		bltTabnotebook.o \
		bltTabset.o \
		bltText.o \
		bltTile.o \
		bltTreeView.o \
		bltTreeViewCmd.o \
		bltTreeViewEdit.o \
		bltTreeViewColumn.o \
		bltTreeViewStyle.o \
		$(DND_OBJS) \
		bltWindow.o \
		bltObjConfig.o \
		bltWinop.o \
		$(TK_OBJS) $(N_OBJS) 

# GNU Make-specific macro
SRCS =		$(patsubst %.o,$(srcdir)/%.c,$(OBJS)) 

bltwish =	bltwish
bltsh =		bltsh
headers =	$(srcdir)/blt.h \
		$(srcdir)/bltBind.h \
		$(srcdir)/bltChain.h \
		bltHash.h \
		$(srcdir)/bltList.h \
		$(srcdir)/bltPool.h \
		$(srcdir)/bltTree.h \
		$(srcdir)/bltDecls.h \
		$(srcdir)/bltVector.h 

lib_a =		libBLT.a
libvers_a =	libBLT$(version).a
tcl_only_lib_a =  libBLTlite.a
tcl_only_libvers_a = libBLTlite$(version).a

CC_SWITCHES =	$(EXTRA_CFLAGS) $(CFLAGS) $(DEFINES) $(INCLUDES)
INSTALL =	/usr/bin/install -c
INSTALL_DATA =	${INSTALL} -m 644
INSTALL_ROOT =  
RANLIB =	ranlib
SHELL =		/bin/sh
AR =		ar rc
RM =		rm -f
LINT =		lint
LINTFLAGS =	-axhbns
XREF =		cxref
XREFFLAGS =	-dltR
LN_S =		ln -s

all: $(bltsh) $(bltwish) build_shared
#all: $(bltwish) build_shared

build_shared:
	(cd shared; $(MAKE) CFLAGS="$(CFLAGS)" all) 

$(bltwish): $(lib_a) $(srcdir)/bltUnixMain.c
	$(RM) $(bltwish)
	$(CC) $(CC_SWITCHES) $(LDFLAGS) -o $(bltwish) \
		-DTCLLIBPATH=\"$(TCLLIBPATH)\" \
		$(srcdir)/bltUnixMain.c $(lib_a) $(LIBS) 

$(bltsh): $(tcl_only_lib_a) $(srcdir)/bltUnixMain.c
	$(RM) $(bltsh)
	$(CC) $(CC_SWITCHES) $(LDFLAGS) -DTCL_ONLY -o $(bltsh) \
		-DTCLLIBPATH=\"$(TCLLIBPATH)\" \
		$(srcdir)/bltUnixMain.c $(tcl_only_lib_a) $(TCL_ONLY_LIBS) 

$(lib_a): $(OBJS) $(srcdir)/bltInit.c
	$(CC) -c $(CC_SWITCHES) -DBLT_LIBRARY=\"$(BLT_LIBRARY)\" \
		$(srcdir)/bltInit.c
	$(RM) $@
	$(AR) $@ $(OBJS) bltInit.o
	$(RANLIB) $@

$(tcl_only_lib_a):  $(TCL_ONLY_OBJS) $(srcdir)/bltInit.c
	$(CC) -c $(CC_SWITCHES) -DTCL_ONLY -DBLT_LIBRARY=\"$(BLT_LIBRARY)\" \
		$(srcdir)/bltInit.c
	$(RM) $@
	$(AR) $@ $(TCL_ONLY_OBJS) bltInit.o
	$(RANLIB) $@

install: mkdirs install-lib install-demo install-headers

install-demo: $(bltwish) $(bltsh)
	$(INSTALL) -m 0755 $(bltwish) $(INSTALL_ROOT)$(bindir)
	$(INSTALL) -m 0755 $(bltsh) $(INSTALL_ROOT)$(bindir)

install-lib: $(lib_a) $(tcl_only_lib_a)
	$(INSTALL_DATA) $(lib_a) $(INSTALL_ROOT)$(libdir)/$(libvers_a)
	(cd $(INSTALL_ROOT)$(libdir); $(RM) $(lib_a) ; $(LN_S) $(libvers_a) $(lib_a))
	$(RANLIB) $(INSTALL_ROOT)$(libdir)/$(libvers_a)
	$(INSTALL_DATA) $(tcl_only_lib_a) $(INSTALL_ROOT)$(libdir)/$(tcl_only_libvers_a)
	(cd $(INSTALL_ROOT)$(libdir); $(RM) $(tcl_only_lib_a) ; $(LN_S) $(tcl_only_libvers_a) $(tcl_only_lib_a))
	$(RANLIB) $(INSTALL_ROOT)$(libdir)/$(tcl_only_libvers_a)
	(cd shared; $(MAKE) install) 

mkdirs:
	@for i in $(instdirs) ; do \
          if test -d $(INSTALL_ROOT)$$i ; then \
            : ; \
          else \
            echo " mkdir $(INSTALL_ROOT)$$i" ; \
            mkdir $(INSTALL_ROOT)$$i ; \
          fi ; \
        done

install-headers:
	@for i in $(headers) ; do \
	    echo "installing $$i..." ; \
	    $(INSTALL_DATA) -m 0444 $$i $(INSTALL_ROOT)$(incdir) ; \
	done

lint:
	$(LINT) $(LINTFLAGS) $(DEFINES) $(INCLUDES) $(SRCS)

libBLTstub.a:
	$(CC) -I$(srcdir)  -I/home/pcmacdon/usr/include -c $(srcdir)/bltStubLib.c
	$(AR) libBLTstub.a bltStubLib.o
	$(RANLIB) libBLTstub.a


genstubs:
	tclsh $(TCLLIBPATH)/tools/genStubs.tcl $(srcdir) blt.decl

xref:
	$(XREF) $(XREFFLAGS) $(DEFINES) $(INCLUDES) $(SRCS)

clean:
	$(RM) $(OBJS) bltInit.o $(lib_a) $(tcl_only_lib_a) \
		$(bltsh)* $(bltwish)* *pure* .pure*
	(cd shared; $(MAKE) clean) 

distclean: clean
	$(RM) $(srcdir)/*.bak $(srcdir)/*\~ $(srcdir)/"#"*  Makefile
	$(RM) bltConfig.h Makefile TAGS

.c.o:
	$(CC) -c $(CC_SWITCHES) $<

PUREFLAGS=
pure: $(lib_a)
	$(PURIFYHOME)/purify $(PUREFLAGS) $(CC) $(CC_SWITCHES) \
		$(srcdir)/bltUnixMain.c -o bltwish $(lib_a) $(LIBS)

QUANTIFYFLAGS=
quant: $(lib_a)
	$(QUANTIFYHOME)/quantify $(QUANTIFYFLAGS) $(CC) $(CC_SWITCHES) \
		$(srcdir)/bltUnixMain.c -o bltwish $(lib_a) $(LIBS)

## blt 2.4z

=== debian/changelog ===
blt (2.4z-7ubuntu2) trusty; urgency=medium

  * library-search-8.6.patch: Fix tcl8.6 library search at runtime.
  * debian/blt-dev.links: Fix .so and .a symlinks to the libraries.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 16 Apr 2014 19:54:17 +0100

blt (2.4z-7ubuntu1) trusty; urgency=medium

  * Build for Tcl/Tk 8.6.
  * Fixed build with newer Tcl/Tk package which switched from shlibs to
    symbols (patch from Debian #724882).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Jan 2014 16:38:30 +0100

blt (2.4z-7) unstable; urgency=low

  * QA upload.
  * Rename man-n-2.diff to doc-typos.diff.
  * Move man page fixes from 02-debian-all.diff into doc-typos.diff.
  * Remove autotools update from 02-debian-all.diff, they are now handled
    automatically by dh_autotools-dev helpers.
  * Namespace extremely generic man page names with «blt::».
    (Closes: #721386, #722660)
  * Rename BLT.3 to blt::intro.3 to match the .TH entry.
  * Do not run «make distclean» on the build target, that's the job of the
    clean target.
  * Remove redundant binary package Sections inherited from the source stanza.
  * Annotate hardening.diff, stating why the patch is wrong, and how it
    should be fixed.

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Sep 2013 17:59:47 +0200

blt (2.4z-6) unstable; urgency=low

  * QA upload, orphan the package.

  [ Paul E. Johnson ]
  * Fix zooming (Closes: #524149)
  * Fix crash in wish (Closes: #636629)
  * Version 2.4z-6 introduces quilt-3.0 patches.
  * Changes in control and rules file to silence lintian warnings.
  * 02-debian-all.diff includes all of the changes that were applied
    to the source code by previous packager. Almost all of the changes
    are corrections in spelling in the blt documentation and examples.
  * Apply 3 changes based on revisions developed by the fedora linux team.
    + 03-fedora-patch-2.diff
    + 04-fedora-tk8.5.6.patch.diff
    + 05-tk8.5-zoomstack.diff
   * Those patches are required to solve segmentation faults that are observed
    when blt is used with tcltk 8.5. We have a substantial amount of
    experience using this patched version of blt in the Swarm
    Simulation System (www.swarm.org) and have observed no ill-effects.
   * new patches for man page cleanups to silence lintian warningss.
   * patch configure according to Debian hardening policy.

  [ Georges Khaznadar ]
  * changed the source format to 3.0 (quilt)
  * modified every diff file in debian/patches to comply with the
    build tools
  * checked that the package is built successfully
  * modified Standards-Version -> 3.9.4, comptaibility level -> 9
  * added a build-depedency on quilt and ${misc:Depends} clauses
  * changed the build-depedency on debhelper (now: >= 9)
  * set the urgency flag to low (normal is not allowed)
  * removed the leading article in blt-dev's and blt-demo's description lines

  [ Matthias Klose ]
  * Allow to build using Tcl/Tk 8.5 installed in a multiarch location.
  * Stop building for Tk 8.4.
  * Allow parallel builds.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Aug 2013 11:13:17 +0200

blt (2.4z-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add tcl8.5 check in library/pkgIndex.tcl.in. (Closes: #525860).
    + Thanks to Bill Metzenthen for the fix.
  * Update config.sub,config.guess files. (Closes: #536409).
  * Fix section and typo in blt.doc-base.
  * Move Homepage from package descriptions to source stanza.
  * Make clean not ignore errors.
  * Replace deprecated ${Source-Version} with ${binary:Version}.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 04 Dec 2009 09:28:09 -0500

blt (2.4z-4.1) unstable; urgency=low

  * NMU (needed to build python-tk against tk8.5).
  * Based on the patch made in Ubuntu:
    - Build for tk8.5, drop the tk8.3 build, still keep the build for
      tk8.4. Closes: #473006.
    - debian/control: Drop {tcl,tk}8.3 dependencies, add {tcl,tk}8.5
      dependencies.
    - debian/rules: Do not build the library for Tcl 8.3.
    - debian/hackshlibs: Do not try to mangle 8.3 libraries.
    - Apply patch from Fedora to build with tk8.5.
  * In dh_makeshlibs bump the version to 2.4z-4.1, first version providing
    tk8.5 libs.
  * Fix typos in hiertable and treeview man pages. Closes: #350362, #350363.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Feb 2009 17:00:25 +0100

blt (2.4z-4) unstable; urgency=low

  * Remove dependencies (and build-dependencies) on now-obsolete tcl/tk
    8.0 packages.
  * Added new. up-to-date config.{sub,guess} files (closes: #342393).
  * Added a README.Debian file, and mentioned the lack of "bltwish" (and
    how to cope) in there (closes: #304805).
  * Fixed numerous typos in the man pages, as found and reported by A
    Costa (closes: #310361, #310362, #310363, #310364, #310366, #310367),
    (closes: #310369, #310370, #310372, #310374, #310377, #326522).  Also
    fixed the corresponding typos in the HTML docs.

 -- Chris Waters <xtifr@debian.org>  Sat, 28 Jan 2006 18:20:07 -0800

blt (2.4z-3) unstable; urgency=low

  * Tighten up -dev package dependency on blt, for extra safety in
    future.
  * Added -D_REENTRANT to CFLAGS for that extra, tasty bit of policy
    compliance.
  * Completely rewrote the package descriptions; they are now shorter,
    more descriptive, and contain far fewer grammar and spelling errors,
    (closes: #204553).
  * Moved the man pages and HTML docs for the BLT commands from the
    blt-dev package to the blt package, where they really belong.  Left
    just the man pages for the BLT C API calls in the blt-dev package.
    Renamed the command man pages to have the extension .3blt (I wanted to
    use .3tcl, but that caused a conflict with the tcllib package).
  * Wrote a handy, but very hackish, script to generate a shlibs.local
    file with the very special dependencies needed by blt.  Among other
    things, the script puts tcl8.4 first on the list of tcl alternatives.


=== debian/control ===
Source: blt
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: tk8.6-dev, debhelper (>= 9), autotools-dev (>= 20120210.1),
 dpkg-dev (>= 1.16.1)
Standards-Version: 3.9.4
Homepage: http://blt.sourceforge.net/

Package: blt
Architecture: any
Section: libs
Depends: ${misc:Depends},${shlibs:Depends}
Conflicts: blt4.2, blt8.0-unoff, blt8.0, blt-common
Replaces: blt4.2, blt8.0-unoff, blt8.0, blt-common, blt-dev (<< 2.4z-3), blt-demo (<< 2.4i-1)
Provides: blt-common
Suggests: blt-demo
Description: graphics extension library for Tcl/Tk - run-time package
 BLT is a library of useful extensions for the Tcl language and the
 popular Tk graphical toolkit.  It adds a vector and tree data type,
 background execution and some debugging tools to Tcl, and provides
 several new widgets for Tk, including graphs, bar-charts, trees, tabs,
 splines and hyper-links, as well as a new geometry manager, drag &
 drop support, and more.
 .
 This package contains everything you need to use BLT with your Tcl/Tk
 scripts and Tcl/Tk-enabled apps.

Package: blt-dev
Architecture: any
Depends: ${misc:Depends},
 blt (= ${binary:Version}), tk8.6-dev, tcl8.6-dev
Conflicts: blt8.0-dev, blt8.0-unoff
Replaces: blt4.2-dev, blt8.0-unoff, blt (<< 2.4i-1), blt4.2
Suggests: blt-demo
Description: graphics extension library for Tcl/Tk - development files
 BLT is a library of useful extensions for the Tcl language and the
 popular Tk graphical toolkit.  It adds a vector and tree data type,
 background execution and some debugging tools to Tcl, and provides
 several new widgets for Tk, including graphs, bar-charts, trees, tabs,
 splines and hyper-links, as well as a new geometry manager, drag &
 drop support, and more.
 .
 This package contains the headers and libraries needed to extend or
 embed BLT.

Package: blt-demo
Architecture: all
Depends: ${misc:Depends}, blt, tk8.6 | wish, tcl8.6 | tclsh
Conflicts: blt4.2, blt8.0 (<< 2.4i-1)
Replaces: blt-dev (<< 2.4j-1)
Description: graphics extension library for Tcl/Tk - demos and examples
 BLT is a library of useful extensions for the Tcl language and the
 popular Tk graphical toolkit.  It adds a vector and tree data type,
 background execution and some debugging tools to Tcl, and provides
 several new widgets for Tk, including graphs, bar-charts, trees, tabs,
 splines and hyper-links, as well as a new geometry manager, drag &
 drop support, and more.
 .
 This package contains demos and samples showing the power and
 versatility of BLT.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

COMMA = ,
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

# useful variables
v = 2.4

dtmp = $(shell pwd)/debian/tmp

ifneq (,$(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/tcl8.6/tclConfig.sh))
  tcl_prefix = /usr/lib/$(DEB_HOST_MULTIARCH)/tcl8.6
else
  tcl_prefix = /usr/lib/tcl8.6
endif
ifneq (,$(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/tk8.6/tkConfig.sh))
  tk_prefix = /usr/lib/$(DEB_HOST_MULTIARCH)/tk8.6
else
  tk_prefix = /usr/lib/tk8.6
endif

# CONFIGURE = ./configure --prefix=/usr/ --mandir=/usr/share/man \
#	--with-cflags="-O2 -g -D_REENTRANT "
CFLAGS+=-D_REENTRANT
CONFIGURE = ./configure --prefix=/usr/ --mandir=/usr/share/man

# Now, the build targets...

build:  build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: build-8.6-stamp
	touch build-stamp

#
# Now build for the best tcl/tk version (8.6)
#
build-8.6-stamp:
	dh_testdir
	dh_autotools-dev_updateconfig

	$(CONFIGURE) \
		--with-tk=$(tk_prefix) \
		--with-tcl=$(tcl_prefix)

	( cd src/shared ; \
	  sed -e 's:$$(version)$$(SHLIB_SUFFIX):.2.4.so.8.6:' Makefile > M2 ; \
	  mv M2 Makefile )

	$(MAKE) $(NJOBS) all

	touch build-8.6-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build*-stamp
	rm -f configure.old

	rm -f build config.cache
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f src/shared/*.o
	rm -f src/bltConfig.h src/bltHash.h

	rm -f `find . -name "Makefile"`

	rm -f debian/shlibs.local
	rm -rf tmplib
	rm -rf debian/tcl8.[0-6] debian/tk8.[0-6]

	dh_autotools-dev_restoreconfig
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	#dh_clean -k
	dh_prep

# Ok, do the basic install
	-mkdir -p $(dtmp)
	-mkdir -p $(dtmp)/usr/share/man/man3
	-mkdir -p $(dtmp)/usr/share/man/mann
	$(MAKE) INSTALL_ROOT=$(dtmp) install

ifeq (0,1)
# Add the extra libs we built, and rename the latest for consistency
	cp tmplib/* $(dtmp)/usr/lib
	(cd $(dtmp)/usr/lib/; mv libBLT24.a     libBLT.$(v).8.6.a)
	(cd $(dtmp)/usr/lib/; mv libBLTlite24.a libBLTlite.$(v).8.6.a)
endif

# Now fix up the man pages
	mv $(dtmp)/usr/share/man/mann/BLT.n \
	   $(dtmp)/usr/share/man/mann/intro.n
	(cd $(dtmp)/usr/share/man/mann ; for i in *.n ; do \
	   mv $$i ../man3/blt::`basename $$i .n`.3 ; \
	done)
	rmdir $(dtmp)/usr/share/man/mann

# remove some misplaced documentation
	(cd $(dtmp)/usr/lib/blt2.4; rm README PROBLEMS NEWS)

# Now we need to move the demos and examples over to /usr/share
	mkdir -p $(dtmp)/usr/share/blt2.4
	mv $(dtmp)/usr/lib/blt2.4/demos $(dtmp)/usr/share/blt2.4
	chmod a-x $(dtmp)/usr/share/blt2.4/demos/*.txt

	mkdir -p $(dtmp)/usr/share/blt2.4/examples
	cp examples/* $(dtmp)/usr/share/blt2.4/examples

# patch the demos and examples to use wish
	(cd $(dtmp)/usr/share/blt2.4; \
	   for i in demos/*.tcl examples/*.tcl ; do \
		sed -e '1c#!/usr/bin/wish' $$i >$$i.new ; \
		mv $$i.new $$i ; \
		chmod 755 $$i; \
	   done)

	chmod 644 $(dtmp)/usr/share/blt2.4/demos/images/*
	chmod 644 $(dtmp)/usr/share/blt2.4/demos/scripts/*.tcl
	chmod 755 $(dtmp)/usr/share/blt2.4/demos/scripts/page.tcl

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: DH_OPTIONS=-i
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installdocs
#	dh_installexamples
	dh_installchangelogs
#	dh_installmenu
	dh_movefiles
	dh_compress
	dh_fixperms
	dh_link
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installdocs

# some minor cleanup needed for the html docs
	rm debian/blt/usr/share/doc/blt/html/Makefile.vc
	cp debian/blt-index.html debian/blt/usr/share/doc/blt/html

#	dh_installexamples
	dh_installchangelogs
#	dh_installmenu

	dh_movefiles

	dh_strip
	dh_link
	dh_compress
	dh_fixperms

	dh_makeshlibs -V 'blt (>= 2.4z-4.1)'
#	The excludes are probably wrong but necessary to make lintian happy
#	dh_makeshlibs -V 'blt (>= 2.4z)' \
#		--exclude="8.0" --exclude="8.3"

	dh_installdeb

# Now, it's time to  call upon my magic ugly little hack script, which
# makes a shlibs.local file with which to fool the shlibs system,
# and get the special dependencies we need.

	#chmod +x debian/hackshlibs # make sure we can run it
	#DEB_HOST_ARCH=$(DEB_HOST_ARCH) debian/hackshlibs
	dh_shlibdeps

	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## blt 2.5.3

=== debian/changelog ===
blt (2.5.3-4) unstable; urgency=medium

  * Made blt-dev replace blt (<< 2.5) because the doc-base file is moved to
    the former package from the latter.
  * Added patch which fixes BLT stubs declaration.
  * Added a few patches which eliminate GCC warnings about incompatible
    pointer types, using possibly unitialized variables, unused variables
    and casts to/from pointer from/to integer of different size. This
    fixes a few segfaults in demos (but not all of them).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 09 Jul 2014 19:26:06 +0400

blt (2.5.3-3) unstable; urgency=medium

  * Added missing headers to bltNsUtil.c to fix build failures on 64bit
    architectures.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 06 Jul 2014 07:30:06 +0400

blt (2.5.3-2) unstable; urgency=medium

  * Restored forgotten call to dh_autotools-dev_updateconfig and explicitly
    supplied --host option to the configure call to build the package on
    kfreebsd-* architectures.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 04 Jul 2014 15:54:47 +0400

blt (2.5.3-1) unstable; urgency=low

  * New maintainer Sergei Golovan (closes: #664092).
  * New upstream and new upstream release.
  * Reviewed and refreshed patches.
  * Added a patch from the FreeBSD BLT port. It allows BLT to work when it's
    built with Tcl/Tk 8.6 (closes: #753476).
  * Moved HTML documentation from blt to blt-dev.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 04 Jul 2014 09:35:12 +0400

blt (2.4z-9) unstable; urgency=high

  * QA upload.
  * Build using Tcl/Tk 8.6.

 -- Matthias Klose <doko@debian.org>  Fri, 13 Jun 2014 13:21:11 +0200

blt (2.4z-8) unstable; urgency=low

  * QA upload.
  * Fixed build with newer Tcl/Tk package which switched from shlibs to
    symbols. (Closes: #724882)

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 16 Apr 2014 13:10:50 +0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: blt
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: tk8.6-dev, debhelper (>= 9), autotools-dev (>= 20120210.1),
- dpkg-dev (>= 1.16.1)
-Standards-Version: 3.9.4
+Maintainer: Sergei Golovan <sgolovan@debian.org>
+Build-Depends: tk8.6-dev, debhelper (>= 9), autotools-dev (>= 20120210.1), dpkg-dev (>= 1.16.1)
+Standards-Version: 3.9.5
 Homepage: http://blt.sourceforge.net/
 
 Package: blt
 Architecture: any
 Section: libs
-Depends: ${misc:Depends},${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: blt4.2, blt8.0-unoff, blt8.0, blt-common
 Replaces: blt4.2, blt8.0-unoff, blt8.0, blt-common, blt-dev (<< 2.4z-3), blt-demo (<< 2.4i-1)
 Provides: blt-common
@@ -29,10 +27,9 @@
 
 Package: blt-dev
 Architecture: any
-Depends: ${misc:Depends},
- blt (= ${binary:Version}), tk8.6-dev, tcl8.6-dev
+Depends: ${misc:Depends}, blt (= ${binary:Version}), tk8.6-dev
 Conflicts: blt8.0-dev, blt8.0-unoff
-Replaces: blt4.2-dev, blt8.0-unoff, blt (<< 2.4i-1), blt4.2
+Replaces: blt4.2-dev, blt8.0-unoff, blt (<< 2.5), blt4.2
 Suggests: blt-demo
 Description: graphics extension library for Tcl/Tk - development files
  BLT is a library of useful extensions for the Tcl language and the
@@ -47,7 +44,7 @@
 
 Package: blt-demo
 Architecture: all
-Depends: ${misc:Depends}, blt, tk8.6 | wish, tcl8.6 | tclsh
+Depends: ${misc:Depends}, blt, tcl8.6, tk8.6
 Conflicts: blt4.2, blt8.0 (<< 2.4i-1)
 Replaces: blt-dev (<< 2.4j-1)
 Description: graphics extension library for Tcl/Tk - demos and examples

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

v = 2.5
tclv = 8.6
lib_so = libBLT.$(v).so.$(tclv)
tcl_only_lib_so = libBLTlite.$(v).so.$(tclv)
dtmp = $(shell pwd)/debian/tmp

%:
	dh $@

override_dh_auto_configure:
	dh_autotools-dev_updateconfig
	dh_auto_configure -- \
			  --host=$(DEB_HOST_GNU_TYPE) \
			  --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(tclv) \
			  --with-tk=/usr/lib/$(DEB_HOST_MULTIARCH)/tk$(tclv)

override_dh_clean:
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || $(MAKE) distclean

override_dh_auto_build:
	$(MAKE) lib_so=$(lib_so) \
		tcl_only_lib_so=$(tcl_only_lib_so)

override_dh_auto_install:
	$(MAKE) lib_so=$(lib_so) \
		tcl_only_lib_so=$(tcl_only_lib_so) \
		INSTALL_ROOT=$(dtmp) install
	#
	# Now fix up the man pages
	mv $(dtmp)/usr/share/man/mann/BLT.n \
	   $(dtmp)/usr/share/man/mann/intro.n
	(cd $(dtmp)/usr/share/man/mann ; for i in *.n ; do \
	   sed -e's/^\.TH \+\([^ ]*\) \+n/.TH blt::\1 3tcl/' $$i >../man3/blt::`basename $$i .n`.3tcl ; \
	done)
	rm -r $(dtmp)/usr/share/man/mann
	#
	# Remove some misplaced documentation
	(cd $(dtmp)/usr/lib/blt$(v) ; rm README PROBLEMS NEWS)
	#
	# Now we need to move the demos and examples over to /usr/share
	mkdir -p $(dtmp)/usr/share/blt$(v)
	mv $(dtmp)/usr/lib/blt$(v)/demos $(dtmp)/usr/share/blt$(v)
	chmod a-x $(dtmp)/usr/share/blt$(v)/demos/*.txt
	#
	mkdir -p $(dtmp)/usr/share/blt$(v)/examples
	cp examples/* $(dtmp)/usr/share/blt$(v)/examples
	#
	# Patch the demos and examples to use wish8.6
	(cd $(dtmp)/usr/share/blt$(v) ; \
	   for i in demos/*.tcl examples/*.tcl ; do \
		sed -e '1c#!/usr/bin/wish$(tclv)' $$i >$$i.new ; \
		mv $$i.new $$i ; \
		chmod 755 $$i; \
	   done)
	#
	chmod 644 $(dtmp)/usr/share/blt$(v)/demos/images/*
	chmod 644 $(dtmp)/usr/share/blt$(v)/demos/scripts/*.tcl
	chmod 755 $(dtmp)/usr/share/blt$(v)/demos/scripts/page.tcl

override_dh_installdocs:
	dh_installdocs
	rm debian/blt-dev/usr/share/doc/blt-dev/html/*.vc

override_dh_makeshlibs:
	dh_makeshlibs -V 'blt (>= 2.5.3)'

get-orig-source:
	CURDIR=`pwd` && TMPDIR=`mktemp -d /tmp/blt.XXXXXX` && \
	cd $$TMPDIR && \
	wget -O tmp.zip \
	     http://prdownloads.sourceforge.net/wize/blt-src-$(v).3.zip && \
	unzip tmp.zip && \
	tar -Jcf $$CURDIR/blt_$(v).3.orig.tar.xz blt$(v) && \
	rm -rf $$TMPDIR

.PHONY: override_dh_auto_configure override_dh_clean override_dh_auto_build \
	override_dh_auto_install override_dh_makeshlibs override_dh_installdocs \
	get-orig-source

## blt 2.5.3%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -14,15 +14,10 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_autotools-dev_updateconfig
 	dh_auto_configure -- \
 			  --host=$(DEB_HOST_GNU_TYPE) \
 			  --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(tclv) \
 			  --with-tk=/usr/lib/$(DEB_HOST_MULTIARCH)/tk$(tclv)
-
-override_dh_clean:
-	[ ! -f Makefile ] || $(MAKE) clean
-	[ ! -f Makefile ] || $(MAKE) distclean
 
 override_dh_auto_build:
 	$(MAKE) lib_so=$(lib_so) \
@@ -66,10 +61,10 @@
 
 override_dh_installdocs:
 	dh_installdocs
-	rm debian/blt-dev/usr/share/doc/blt-dev/html/*.vc
+	rm -f debian/blt-dev/usr/share/doc/blt-dev/html/*.vc
 
 override_dh_makeshlibs:
-	dh_makeshlibs -V 'blt (>= 2.5.3)'
+	dh_makeshlibs -V 'tk8.6-blt2.5 (>= 2.5.3)'
 
 get-orig-source:
 	CURDIR=`pwd` && TMPDIR=`mktemp -d /tmp/blt.XXXXXX` && \
@@ -77,9 +72,12 @@
 	wget -O tmp.zip \
 	     http://prdownloads.sourceforge.net/wize/blt-src-$(v).3.zip && \
 	unzip tmp.zip && \
-	tar -Jcf $$CURDIR/blt_$(v).3.orig.tar.xz blt$(v) && \
+	rm -rv blt$(v)/library/dd_protocols && \
+	(cd blt$(v) && patch -p1 <$$CURDIR/debian/patches/source.patch) && \
+	sed -i -e 's/\$$(ddFiles)//' blt$(v)/library/Makefile.in && \
+	tar -Jcf $$CURDIR/blt_$(v).3+dfsg.orig.tar.xz blt$(v) && \
 	rm -rf $$TMPDIR
 
-.PHONY: override_dh_auto_configure override_dh_clean override_dh_auto_build \
+.PHONY: override_dh_auto_configure override_dh_auto_build \
 	override_dh_auto_install override_dh_makeshlibs override_dh_installdocs \
 	get-orig-source

## blt 2.5.3+dfsg

=== debian/changelog ===
blt (2.5.3+dfsg-8) unstable; urgency=medium

  * Minimally fix FTBFS with GCC 15 (closes: #1096378).
  * Fix rebuilding source after successful build (closes: #1043970).
  * Bump the standards version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 05 Mar 2025 14:49:43 +0300

blt (2.5.3+dfsg-7) unstable; urgency=medium

  * Disable JPEG support because enabling it interferences with Debian
    bootstrap procedure by adding new dependency on jpeg-turbo
    (closes: #1058678).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 15 Dec 2023 13:10:25 +0300

blt (2.5.3+dfsg-6) unstable; urgency=medium

  * Enable JPEG support (closes: #1032850).
  * Bump the debhelper compatibility level to 13.
  * Bump the standards version to 4.6.2.
  * Add the VCS headers to debian/control.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 12 Dec 2023 17:44:23 +0300

blt (2.5.3+dfsg-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 23 Dec 2020 19:59:32 +0100

blt (2.5.3+dfsg-4) unstable; urgency=medium

  * Rebuild to restore binary compatibility with the current Tcl/Tk 8.6
    (closes: #888818).
  * Bump the debhelper compatibility level to 10.
  * Remove usage of autotools-dev and dh_autoreconf since they aren't
    necessary for debhelper compatibility level 10.
  * Bump the standards version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 30 Jan 2018 11:57:16 +0300

blt (2.5.3+dfsg-3) unstable; urgency=medium

  * Added the autotools-dev build dependency to replace the outdated
    config.guess and config.sub by newer ones.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 25 Nov 2015 13:41:51 +0300

blt (2.5.3+dfsg-2) unstable; urgency=medium

  * Fixed the distclean target in Makefile.in which fixes FTBFS when build
    twice in a row (closes: #791601).
  * Fixed the override_dh_installdoc target in debian/rules to fix FTBFS
    when dpkg-buildpackage -A is called for building the architecture-
    independent packages only (closes: #805999).
  * debian/patches/autoreconf.patch: fix autotools input for
    compatibility with recent autoconf.  Thanks to Helmut Grohne
    <helmut@subdivi.de> and Steve Langasek <vorlon@debian.org>
    (closes: #772590).
  * debian/patches/pkgindex.patch: correct this patch to patch the
    configure.in source, not the generated configure script.
  * debian/patches/install.patch: fix the distclean targets.
  * debian/patches/*: remove patching of autogenerated configure
  * Drop debian/rules override_dh_clean target, which gets it wrong.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 25 Nov 2015 11:28:10 +0300

blt (2.5.3+dfsg-1) unstable; urgency=medium

  * Removed non-distributable files library/dd_protocols/* from the source
    package (closes: #769814).
  * Split out the tk8.6-blt2.5 package to reflect the changed library soname.
    The 8.6 suffix is added because this package works only with Tcl/Tk 8.6.
    Added breaks header with all packages dependent on blt which included
    the previous library soname. This prevents partial upgrades
    (closes: #751767).
  * Bumped the standards version to 3.9.6.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 21 Nov 2014 17:10:39 +0300

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,19 @@
 Section: devel
 Priority: optional
 Maintainer: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: tk8.6-dev, debhelper (>= 9), autotools-dev (>= 20120210.1), dpkg-dev (>= 1.16.1)
-Standards-Version: 3.9.5
+Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.1), tk8.6-dev
+Standards-Version: 4.7.2
 Homepage: http://blt.sourceforge.net/
+Vcs-Browser: https://salsa.debian.org/tcltk-team/blt
+Vcs-Git: https://salsa.debian.org/tcltk-team/blt.git
 
-Package: blt
+Package: tk8.6-blt2.5
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: blt4.2, blt8.0-unoff, blt8.0, blt-common
-Replaces: blt4.2, blt8.0-unoff, blt8.0, blt-common, blt-dev (<< 2.4z-3), blt-demo (<< 2.4i-1)
-Provides: blt-common
+Replaces: blt4.2, blt8.0-unoff, blt8.0, blt-dev (<< 2.4z-3), blt-demo (<< 2.4i-1), blt (<< 2.5.3-5~)
 Suggests: blt-demo
-Description: graphics extension library for Tcl/Tk - run-time package
+Description: graphics extension library for Tcl/Tk - library
  BLT is a library of useful extensions for the Tcl language and the
  popular Tk graphical toolkit.  It adds a vector and tree data type,
  background execution and some debugging tools to Tcl, and provides
@@ -25,9 +25,26 @@
  This package contains everything you need to use BLT with your Tcl/Tk
  scripts and Tcl/Tk-enabled apps.
 
+Package: blt
+Architecture: any
+Section: libs
+Depends: ${misc:Depends}, ${shlibs:Depends}, tk8.6-blt2.5 (= ${binary:Version})
+Suggests: blt-demo
+Breaks: tclspice (<< 26-1~), tkdesk (<< 2.0-9.2~), skycat (<< 3.1.2+starlink1~b-7~), python-tk (<< 2.7.8-1~), python3-tk (<< 3.4.1-3~)
+Description: graphics extension library for Tcl/Tk - run-time
+ BLT is a library of useful extensions for the Tcl language and the
+ popular Tk graphical toolkit.  It adds a vector and tree data type,
+ background execution and some debugging tools to Tcl, and provides
+ several new widgets for Tk, including graphs, bar-charts, trees, tabs,
+ splines and hyper-links, as well as a new geometry manager, drag &
+ drop support, and more.
+ .
+ This package is a dummy package which depends on the current BLT
+ library.
+
 Package: blt-dev
 Architecture: any
-Depends: ${misc:Depends}, blt (= ${binary:Version}), tk8.6-dev
+Depends: ${misc:Depends}, tk8.6-blt2.5 (= ${binary:Version}), tk8.6-dev
 Conflicts: blt8.0-dev, blt8.0-unoff
 Replaces: blt4.2-dev, blt8.0-unoff, blt (<< 2.5), blt4.2
 Suggests: blt-demo

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,22 @@
 
 %:
 	dh $@
+
+override_dh_clean:
+	dh_clean
+	[ ! -f cf/install-sh.backup ] || mv cf/install-sh.backup cf/install-sh
+	[ ! -f configure.backup ] || mv configure.backup configure
+	[ ! -f generic/bltConfig.h.in.backup ] || mv generic/bltConfig.h.in.backup generic/bltConfig.h.in
+	[ ! -f generic/Makefile.backup ] || mv generic/Makefile.backup generic/Makefile
+	rm -f generic/shared/libBLT.$(v).so.$(tclv)
+	rm -f generic/shared/libBLTlite.$(v).so.$(tclv)
+
+override_dh_autoreconf:
+	[ -f cf/install-sh.backup ] || cp cf/install-sh cf/install-sh.backup
+	[ -f configure.backup ] || cp configure configure.backup
+	[ -f generic/bltConfig.h.in.backup ] || cp generic/bltConfig.h.in generic/bltConfig.h.in.backup
+	[ -f generic/Makefile.backup ] || cp generic/Makefile generic/Makefile.backup
+	dh_autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## blt 3.0~1+08570046+dfsg

=== debian/changelog ===
blt (3.0~1+08570046+dfsg-5) experimental; urgency=medium

  * Fix a patch which fixes a typo in blt.h.
  * Add a patch with fixes for two bugs in blt::graph (upper limit of
    errorbars and storing graph snaphots in case of an empty target image).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Jul 2025 14:33:19 +0300

blt (3.0~1+08570046+dfsg-4) experimental; urgency=medium

  * Add a patch which enables building MySQL data tables with MariaDB.
  * Add a patch with fixes for two typos in blt::parseargs code.
  * Add patches with fixes for two bugs in blt::tabset (destroying the
    tab on losing its window and incorrectly positioning windows with
    paddings).
  * Add a patch which fixes a typo in blt.h.
  * Add a patch with fixes for small bugs in vector math functions, and
    enhancements in implementation of the [blt::vector create] command.
  * Cleanup debian/control, remove unnecessary breaks.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 01 Jul 2025 12:06:32 +0300

blt (3.0~1+08570046+dfsg-3) experimental; urgency=medium

  * Cleanup patches, drop no longer used ones.
  * Fix the patch which adds two function to the BLT stubs table.
    This fixes segfault in processing JPEG images.
  * Add a patch which fixes segfault in hypertext widget when displaying
    selected text.
  * Add forward information to the patches.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 06 Jun 2025 17:25:43 +0300

blt (3.0~1+08570046+dfsg-2) experimental; urgency=medium

  * Do not apply an unnecessary zoomstack.patch.
  * Drop obsolete README.changes.
  * Refine patches, build the libraries with symbols enabled, fix missing
    symbols in a few libraries when built with stubs enabled.
  * Confirm that blt 3.0 fixes FTBFS with -j4 (closes: #1003455) and
    with --shuffle=reverse (closes: #1105241).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 23 May 2025 17:19:57 +0300

blt (3.0~1+08570046+dfsg-1) experimental; urgency=medium

  * New upstream Git snapshot with new major BLT version.
  * Remove most of the accumulated patches.
  * Drop support for doc-base because BLT does not ship HTML docs anymore.
  * Rename the binary package from tk8.6-blt2.5 to tk-blt3.0 to reflect
    prospective porting to Tcl/Tk 9.0.
  * Split out the tk-blt3.0-extras package wit optional packages to
    minimize dependencies of tk-blt3.0.
  * Move the library inside architecture-specific directories and make the
    packages multi-arch-same.
  * Make blt-demo multi-arch foreign.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 19 May 2025 16:43:03 +0300

=== debian/control ===
Source: blt
Section: devel
Priority: optional
Maintainer: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper-compat (= 13), tk8.6-dev,
 libx11-dev, libxrandr-dev, libxcursor-dev, libxcomposite-dev, libxext-dev,
 libsqlite3-dev, libpq-dev, libmariadb-dev-compat, libxpm-dev, libjpeg62-turbo-dev,
 libtiff-dev, libssh2-1-dev
Standards-Version: 4.7.2
Homepage: http://blt.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/tcltk-team/blt
Vcs-Git: https://salsa.debian.org/tcltk-team/blt.git

Package: tk-blt3.0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: tk-blt3.0-extras, blt-demo, libtk8.6
Provides: tk-blt (=${binary:Version}), tk8.6-blt (= ${binary:Version}),
 tk8.6-blt3.0 (= ${binary:Version})
Description: Graphics extension library for Tcl/Tk - base library
 BLT is a library of useful extensions for the Tcl language and the
 popular Tk graphical toolkit.  It adds a vector and tree data type,
 background execution and some debugging tools to Tcl, and provides
 several new widgets for Tk, including graphs, bar-charts, trees, tabs,
 splines and hyper-links, as well as a new geometry manager, drag &
 drop support, and more.
 .
 This package contains the base BLT library to use with Tcl/Tk
 scripts and Tcl/Tk-enabled apps.

Package: tk-blt3.0-extras
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, tk-blt3.0 (= ${binary:Version})
Suggests: blt-demo
Provides: tk-blt-extras (=${binary:Version}), tk8.6-blt-extras (= ${binary:Version}),
 tk8.6-blt3.0-extras (= ${binary:Version})
Description: Graphics extension library for Tcl/Tk - extras library
 BLT is a library of useful extensions for the Tcl language and the
 popular Tk graphical toolkit.  It adds a vector and tree data type,
 background execution and some debugging tools to Tcl, and provides
 several new widgets for Tk, including graphs, bar-charts, trees, tabs,
 splines and hyper-links, as well as a new geometry manager, drag &
 drop support, and more.
 .
 This package contains extensions for BLT, such as support for different
 image formats, database tables etc.

Package: blt
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, tk-blt3.0 (= ${binary:Version}), tk-blt3.0-extras (= ${binary:Version})
Suggests: blt-demo
Description: Graphics extension library for Tcl/Tk - run-time
 BLT is a library of useful extensions for the Tcl language and the
 popular Tk graphical toolkit.  It adds a vector and tree data type,
 background execution and some debugging tools to Tcl, and provides
 several new widgets for Tk, including graphs, bar-charts, trees, tabs,
 splines and hyper-links, as well as a new geometry manager, drag &
 drop support, and more.
 .
 This package is a dummy package which depends on the current BLT
 library.

Package: blt-dev
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, tk-blt3.0 (= ${binary:Version}), tk-blt3.0-extras (= ${binary:Version}), tk8.6-dev
Suggests: blt-demo
Description: Graphics extension library for Tcl/Tk - development files
 BLT is a library of useful extensions for the Tcl language and the
 popular Tk graphical toolkit.  It adds a vector and tree data type,
 background execution and some debugging tools to Tcl, and provides
 several new widgets for Tk, including graphs, bar-charts, trees, tabs,
 splines and hyper-links, as well as a new geometry manager, drag &
 drop support, and more.
 .
 This package contains the headers and libraries needed to extend or
 embed BLT.

Package: blt-demo
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, blt, tcl8.6, tk8.6
Description: Graphics extension library for Tcl/Tk - demos and examples
 BLT is a library of useful extensions for the Tcl language and the
 popular Tk graphical toolkit.  It adds a vector and tree data type,
 background execution and some debugging tools to Tcl, and provides
 several new widgets for Tk, including graphs, bar-charts, trees, tabs,
 splines and hyper-links, as well as a new geometry manager, drag &
 drop support, and more.
 .
 This package contains demos and samples showing the power and
 versatility of BLT.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

version = 3.0
cprefix = 08570046
checkout = $(cprefix)d5f162d27b206b4479f7b27bc56e7ddd

tclversions = 8.6

dtmp = $(CURDIR)/debian/tmp

%:
	dh $@

override_dh_auto_configure:
	set -e ; \
	for v in $(tclversions) ; do \
		dh_auto_configure -B$(CURDIR)/debian/$$v -- \
			--host=$(DEB_HOST_GNU_TYPE) \
			--with-blt=/usr/lib/tcltk/$(DEB_HOST_MULTIARCH) \
			--with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$$v \
			--with-tk=/usr/lib/$(DEB_HOST_MULTIARCH)/tk$$v \
			--with-tcllibdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
			--with-tklibdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
			--enable-shared \
			--enable-xshm \
			--enable-symbols \
			--enable-stubs \
		; \
	done

override_dh_auto_install:
	set -e ; \
	for v in $(tclversions) ; do \
		dh_auto_install -B$(CURDIR)/debian/$$v --destdir=$(dtmp)/$$v -- \
			libdir=/usr/lib/$(DEB_HOST_MULTIARCH) ; \
		sed -i -e "s:BLT_LIB_DIR='/usr/lib':BLT_LIB_DIR='/usr/lib/$(DEB_HOST_MULTIARCH)':" \
			  $(dtmp)/$$v/usr/lib/$(DEB_HOST_MULTIARCH)/bltConfig.sh ; \
		chmod a-x $(dtmp)/$$v/usr/lib/$(DEB_HOST_MULTIARCH)/bltConfig.sh ; \
		mv $(dtmp)/$$v/usr/share/man/mann/BLT.n $(dtmp)/$$v/usr/share/man/mann/intro.n ; \
		rm $(dtmp)/$$v/usr/share/man/mann/bitmap.n ; \
		(cd $(dtmp)/$$v/usr/share/man/mann ; \
		 for i in *.n ; do \
	   	     sed -e's/^\.TH \+\([^ ]*\) \+n/.TH blt::\1 3tcl/' $$i >../man3/blt::`basename $$i .n`.3tcl ; \
		 done) ; \
		rm -r $(dtmp)/$$v/usr/share/man/mann ; \
	done

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/tcltk

override_dh_compress:
	dh_compress -X.tcl -X.csv -X.tab -X.xbm -X.txt

override_dh_clean:
	set -e ; \
	for v in $(tclversions) ; do \
		rm -rf $(CURDIR)/debian/$$v ; \
	done
	dh_clean

get-orig-source:
	CURDIR=$$(pwd) && TMPDIR=$$(mktemp -d /tmp/blt.XXXXXX) && \
	cd $$TMPDIR && \
	wget -O tmp.zip \
	     https://sourceforge.net/code-snapshots/git/b/bl/blt/src.git/blt-src-$(checkout).zip && \
	unzip tmp.zip && \
	rm -rv blt-src-$(checkout)/library/dd_protocols && \
	sed -i -e 's/dd_protocols//' blt-src-$(checkout)/library/Makefile.in && \
	sed -i -e '/dd_protocols/d' blt-src-$(checkout)/configure.in && \
	tar -Jcf $$CURDIR/blt_$(version)~1+$(cprefix)+dfsg.orig.tar.xz blt-src-$(checkout) && \
	rm -rf $$TMPDIR

.PHONY: override_dh_auto_configure override_dh_auto_install override_dh_makeshlibs \
	override_dh_compress override_dh_clean get-orig-source

## blt test

=== Makefile ===
blt_test: test.c
	winegcc -m32 -o blt_test test.c -lgdi32 -lcomctl32
